package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DrpLastOrderGoodsVO {
   @ApiModelProperty("最近一次采购价格")
   private Integer lastOrderGoodsPrice;
   @ApiModelProperty("最近一次采购日期")
   private LocalDateTime lastOrderGoodsDate;
   @ApiModelProperty("最近一次采购供应商")
   private Long lastOrderGoodsSupplierId;
   @ApiModelProperty("最近一次采购供应商名称")
   private String lastOrderGoodsSupplierName;
   private String orderGoodsId;
   private Long materialId;
   private Long unitId;

   public Integer getLastOrderGoodsPrice() {
      return this.lastOrderGoodsPrice;
   }

   public LocalDateTime getLastOrderGoodsDate() {
      return this.lastOrderGoodsDate;
   }

   public Long getLastOrderGoodsSupplierId() {
      return this.lastOrderGoodsSupplierId;
   }

   public String getLastOrderGoodsSupplierName() {
      return this.lastOrderGoodsSupplierName;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public void setLastOrderGoodsPrice(final Integer lastOrderGoodsPrice) {
      this.lastOrderGoodsPrice = lastOrderGoodsPrice;
   }

   public void setLastOrderGoodsDate(final LocalDateTime lastOrderGoodsDate) {
      this.lastOrderGoodsDate = lastOrderGoodsDate;
   }

   public void setLastOrderGoodsSupplierId(final Long lastOrderGoodsSupplierId) {
      this.lastOrderGoodsSupplierId = lastOrderGoodsSupplierId;
   }

   public void setLastOrderGoodsSupplierName(final String lastOrderGoodsSupplierName) {
      this.lastOrderGoodsSupplierName = lastOrderGoodsSupplierName;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }


   public String toString() {
      Integer var10000 = this.getLastOrderGoodsPrice();
      return "DrpLastOrderGoodsVO(lastOrderGoodsPrice=" + var10000 + ", lastOrderGoodsDate=" + String.valueOf(this.getLastOrderGoodsDate()) + ", lastOrderGoodsSupplierId=" + this.getLastOrderGoodsSupplierId() + ", lastOrderGoodsSupplierName=" + this.getLastOrderGoodsSupplierName() + ", orderGoodsId=" + this.getOrderGoodsId() + ", materialId=" + this.getMaterialId() + ", unitId=" + this.getUnitId() + ")";
   }
}
